PETSc version 3.15.5
Fix/Edit manual page

# PetscFEGetCellTabulation

Returns the tabulation of the basis functions at the quadrature points on the reference cell

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGetCellTabulation(PetscFE fem, PetscInt k, PetscTabulation *T)

Not collective

### Input Parameter

| fem | - The PetscFE object
| k | - The highest derivative we need to tabulate, very often 1

### Output Parameter

| T | - The basis function values and derivatives at quadrature points

### Note

    T->T[0] = B[(p*pdim + i)*Nc + c] is the value at point p for basis function i and component c

    T->T[1] = D[((p*pdim + i)*Nc + c)*dim + d] is the derivative value at point p for basis function i, component c, in direction d

    T->T[2] = H[(((p*pdim + i)*Nc + c)*dim + d)*dim + e] is the value at point p for basis function i, component c, in directions d and e

### See Also

PetscFECreateTabulation(), PetscTabulationDestroy()

### Level

intermediate

### Location

src/dm/dt/fe/interface/fe.c
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages